% P13polyline.m
% code for Post 13 -- Curve intersection
%  REA 2011-Aug-30 11:16
%  COPYRIGHT:   Aprend Technology, 2011. All rights reserved. 


%%  create 2 polylines and intersect them
% the polylines are circles with different centers
npnts = 1000;
p1 = exp(1i*linspace(0,2*pi,npnts)) ; % hexagon, radius 1, centered at origin
p2 = exp(1i*linspace(0,2*pi,npnts)) + 1; % square centered at x = 1
tic
zi = PolylineIntersectPolyline(p1,p2);
dt_2 = toc;
fprintf(1,'PolylineIntersectPolyline took %.2f seconds for %.0f line segments...\n',dt_2,npnts-1);

%% draw the polylines and intersections
fh = figure;
hold on
plot(p1,'-k')
% labelpointsz(gca,p1)
plot(p2,'-b')
% labelpointsz(gca,p2,'color','b')
plot(zi,'Or','linewidth',1.3)
hold off
axis(2*[-1 1 -1 1])
set(gca,'linewidth',1.3,'fontsize',12);
set(fh,'color','w','position',[250 250 450 450])

%% export the figure as png and eps
dirname = 'E:\Projects\Blog\Posts\P13polyline\'; % edit this for your computer
figno = sprintf('-f%d',fh);
fname = 'PolylineIntersectExample';
print(figno,[dirname fname '.png'],'-dpng','-cmyk','-r100') % resolution 100 dpi
   % export as eps
print(figno,[dirname fname '.eps'],'-deps','-cmyk') 